local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    setDarkness(0.2)
    setBloomStrength(0.3)
    setFlag("car", true)

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(8432, 4324), 1, 0.01))

    walkTo (8436, walkBackwards==false, speedMultiplier==0.8, keepWalkingIntoWalls==false)

    wait(6)

    local level = getLevel()
    cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(8912, 4320), 2))
    teleportTo(8912, 4360, "feel_16")

    enableMovement()
    endCutscene ()
	

end